<?php


require('fpdf/fpdf.php');
//require('conexion.php');
require_once ("config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
	require_once ("config/conexion.php");//Contiene funcion que conecta a la base de datos
$pdf = new FPDF();
$pdf->AddPage();
$pdf->SetFont('Arial', '', 10);
$pdf->Image('img/cintillo.jpg' , 5 ,5, 200 , 10,'JPG');
$pdf->Cell(18, 10, '', 0);
$pdf->SetFont('Arial', '', 9);
$pdf->Ln(30);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(70, 8, '', 0);
$pdf->Cell(90, 8, 'REPUESTOS MAS COMPRADOS', 0);
$pdf->Ln(10);
$pdf->Cell(85, 8, '', 0);
$pdf->Cell(100, 8, date('d-m-Y'),200);
$pdf->Ln(23);
$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(15, 8, 'Numero', 0);
$pdf->Cell(30, 8, 'Proveedor', 0);
$pdf->Cell(40, 8, 'Producto', 0);
$pdf->Cell(20, 8, 'Cantidad', 0);
$pdf->Cell(30, 8, 'Precio por Unidad', 0);
$pdf->Cell(25, 8, 'Monto', 0);
$pdf->Cell(25, 8, 'Fecha de Recepcion', 0);

$pdf->Ln(8);
$pdf->SetFont('Arial', '', 8);
//CONSULTA
$consulta=mysqli_query($con,"SELECT * FROM compras ORDER BY proveedor ASC");
$item = 0;
  while($dato=mysqli_fetch_array($consulta)){
   	$item = $item+1;
	$pro=$dato['proveedor'];
	$consulta2=mysqli_query($con,"select * from proveedores where id_pro='$pro'");
	$dato2=mysqli_fetch_array($consulta2);
	
	$pdf->Cell(15, 8, $item, 0);
	$pdf->Cell(30, 8,$dato2['nombre_proveedor'], 0);
	$pdf->Cell(40, 8,$dato['producto'], 0);
	$pdf->Cell(20, 8,$dato['cantidad'], 0);
	$pdf->Cell(30, 8,$dato['costo_uni'], 0);
	$pdf->Cell(25, 8,$dato['total'], 0);
	$pdf->Cell(25, 8,$dato['fecha'], 0);
	
	$pdf->Ln(5);
}
  
$pdf->Ln(30);
$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(85,8,'',0);
$pdf->Cell(31,8,'Tomas Montana',0);
$pdf->Ln(5);
$pdf->Cell(77,8,'',0);
$pdf->Cell(31,8,'Gerente Inversiones Locales',0);

$pdf->Output('reporte_comrpas.pdf','D');
?>